POST /mj/task/list-by-condition listet Midjourney-Aufgaben anhand von Filtern auf, um den Status für einen oder mehrere Jobs einschließlich Fortschritt und Ergebnisse abzurufen.
curl --request POST \
--url https://api.cometapi.com/mj/task/list-by-condition \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ids": [
"example"
]
}
'[
{
"action": "<string>",
"buttons": [
{
"customId": "<string>",
"emoji": "<string>",
"label": "<string>",
"style": 123,
"type": 123
}
],
"description": "<string>",
"failReason": "<string>",
"finishTime": 123,
"id": "<string>",
"imageUrl": "<string>",
"progress": "<string>",
"prompt": "<string>",
"promptEn": "<string>",
"properties": {},
"startTime": 123,
"state": "<string>",
"status": "<string>",
"submitTime": 123
}
]Verwenden Sie Single-Task-Polling für kritische Pfade
Verwenden Sie bedingungsbasiertes Auflisten für Batch-Prüfungen
Interessante Aufgaben weiterverfolgen
Bearer token authentication. Use your CometAPI key.
Array of Midjourney task ids to retrieve. Returns the current status and result for each.
curl --request POST \
--url https://api.cometapi.com/mj/task/list-by-condition \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ids": [
"example"
]
}
'[
{
"action": "<string>",
"buttons": [
{
"customId": "<string>",
"emoji": "<string>",
"label": "<string>",
"style": 123,
"type": 123
}
],
"description": "<string>",
"failReason": "<string>",
"finishTime": 123,
"id": "<string>",
"imageUrl": "<string>",
"progress": "<string>",
"prompt": "<string>",
"promptEn": "<string>",
"properties": {},
"startTime": 123,
"state": "<string>",
"status": "<string>",
"submitTime": 123
}
]